// creator  : weidu.exe (version 23100)
// argument : SENPRI.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SENPRI~

IF ~~ THEN BEGIN 0 // from: SENDAI:8.0
  SAY #67460 /* ~Yes, mistress.  I will do as you command.~ [SENPRI07] */
  IF ~~ THEN EXTERN ~SENDAI~ 9
END

IF ~NumTimesTalkedTo(0)
!AreaCheck("ar6105")~ THEN BEGIN 1 // from: SENDAI:9.0
  SAY #67462 /* ~Of course, Mistress Sendai.  I will unleash all of your Drow forces against our foe.~ [SENPRI08] */
  IF ~~ THEN DO ~StartCutSceneMode()
StartCutScene("cut237c")~ EXIT
END

IF ~AreaCheck("ar6105")
Global("TalkedOnceSenpri","GLOBAL",0)~ THEN BEGIN 2 // from:
  SAY #71936 /* ~I know you <CHARNAME> and you have power, but you are not drow. By Sendai's will you will be slaughtered in this place.~ */
  IF ~~ THEN REPLY #71937 /* ~I've heard such things before. Your threats are meaningless.~ */ DO ~SetGlobal("TalkedOnceSenpri","GLOBAL",1)~ GOTO 3
  IF ~~ THEN REPLY #71938 /* ~Your mistress is doomed. I am the most powerful Child of Bhaal!~ */ DO ~SetGlobal("TalkedOnceSenpri","GLOBAL",1)~ GOTO 3
  IF ~~ THEN REPLY #71939 /* ~Who are you?~ */ DO ~SetGlobal("TalkedOnceSenpri","GLOBAL",1)~ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.2 2.1 2.0
  SAY #71940 /* ~Fool! I am drow. You are naught but iblith - filth! Sendai need not be bothered for I shall destroy you! Enter Ogremoch's chamber if you dare. Defeat him, and I shall face you myself.~ */
  IF ~~ THEN DO ~StartCutSceneMode()
DialogInterrupt(FALSE)
PlaySound("EFF_M36B")
CreateVisualEffect("SPPOWRRD",[807.852])
Unlock("Door03")
OpenDoor("Door03")
EndCutSceneMode()
ReallyForceSpell(Myself,POOF_GONE)~ EXIT
END

IF ~Global("TalkedOnceSenpri","GLOBAL",1)~ THEN BEGIN 4 // from:
  SAY #72115 /* ~You may have fought the elemental prince and won but I am not so easy to kill. Destroy them, my minions!~ */
  IF ~~ THEN DO ~Enemy()~ EXIT
END
